 
package org.jlab.coda.runcontrol.gui;

import java.util.HashMap;
import org.jlab.coda.cMsg.cMsg;
import org.jlab.coda.runcontrol.gui.DLBSession;

/**
 * Expid class is a container of the Afecs platform specific information:
 * -JTree node object for this platform
 * -host 
 * -port
 * -cMsg connection object
 * -list of active sessions: Class DLBSession
 * 
 * @author gurjyan
 */
public class DLBExpid {
    

/** Afecs cMsg server host*/
private String host;

/** Afecs cMsg server TCP port*/
private String port;

/** Afecs platform cMsg server connection object*/
private cMsg server;

/** List of the DLBSession class objects*/
private HashMap<String, DLBSession> sessions = new HashMap<String,DLBSession>();

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public cMsg getServer() {
        return server;
    }

    public void setServer(cMsg server) {
        this.server = server;
    }

    public HashMap<String,DLBSession> getSessions() {
        return sessions;
    }

    public void setSessions(String n,DLBSession s) {
        this.sessions.put(n,s);
    }
 
 }
