package org.jlab.coda.runcontrol.gui;

import org.jlab.coda.runcontrol.gui.DLBType;

import java.util.HashMap;

/**
 * Class holds all the details for the supervisor agent, including all 
 * the components under its control.
 * @author gurjyan
 */
public class DLBSupervisor {

    private String name, session;
    private HashMap<String,DLBType> componentTypes = new HashMap<String, DLBType>();

    public HashMap<String,DLBType> getComponentTypes() {
        return componentTypes;
    }

    public void setComponentTypes(String n, DLBType s) {
        this.componentTypes.put(n,s);
    }
    

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getSession() {
        return session;
    }

    public void setSession(String s) {
        session = s;
    }
}
