/*----------------------------------------------------------------------------*
*  Copyright (c) 2002        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-12H        *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5800             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package org.jlab.coda.runcontrol.ontologies.CodaPlatform;

import rca.content.AgentAction;

import java.io.Serializable;

public class StopCodaAgent implements AgentAction, Serializable {
    private CodaAgent agent;
    private CodaContainer container;

    public CodaAgent getAgent() {
        return agent;
    }

    public void setAgent( CodaAgent a ) {
        agent = a;
    }

    public CodaContainer getContainer() {
        return container;
    }

    public void setContainer( CodaContainer c ) {
        container = c;
    }
}

