/*----------------------------------------------------------------------------*
*  Copyright (c) 2003        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-12H        *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5800             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package org.jlab.coda.runcontrol.ontologies.CodaRunControl;

import rca.content.AgentAction;

import java.io.Serializable;

public class AcceptStatus implements AgentAction, Serializable {
    public String status;
    public String severity;
    public String transition;
    public Producer producer;
    public CodaTimeStamp timestamp;

    public void setAcceptstatus_Status (String d){
        status = d;
    }
    public String getAcceptstatus_Status (){
        return status;
    }
    public void setAcceptstatus_Severity (String d){
        severity = d;
    }
    public String getAcceptstatus_Severity (){
        return severity;
    }
    public void setAcceptstatus_Transition (String d){
        transition = d;
    }
    public String getAcceptstatus_Transition (){
        return transition;
    }
    public void setAcceptstatus_Producer (Producer d){
        producer = d;
    }
    public Producer getAcceptstatus_Producer (){
        return producer;
    }
    public void setAcceptstatus_Timestamp (CodaTimeStamp d){
        timestamp = d;
    }
    public CodaTimeStamp getAcceptstatus_Timestamp (){
        return timestamp;
    }
}
