/*----------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-12H        *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5800             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package org.jlab.coda.runcontrol.ontologies.CodaRunControl;

import rca.content.AgentAction;

import java.io.Serializable;

public class AcceptTsData implements AgentAction, Serializable {
    public CoolData data;
    public Producer producer;
    public CodaTimeStamp timestamp;

    public void setAccepttsdata_Data (CoolData d){
        data = d;
    }
    public CoolData getAccepttsdata_Data (){
        return data;
    }
    public void setAccepttsdata_Producer (Producer d){
        producer = d;
    }
    public Producer getAccepttsdata_Producer (){
        return producer;
    }
    public void setAccepttsdata_Timestamp (CodaTimeStamp d){
        timestamp = d;
    }
    public CodaTimeStamp getAccepttsdata_Timestamp (){
        return timestamp;
    }
}
