/*----------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-12H        *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5800             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package org.jlab.coda.runcontrol.ontologies.CodaRunControl;

import rca.content.AgentAction;

import java.io.Serializable;

public class CodaInit implements AgentAction, Serializable {
    String clientHost;
    Integer clientPort;

    public void setCodainit_Clienthost(String s) {
        clientHost = s;
    }
    public String getCodainit_Clienthost(){
        return clientHost;
    }

    public void setCodainit_Clientport(Integer i){
        clientPort = i;
    }
    public Integer getCodainit_Clientport(){
        return clientPort;
    }

}
