/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*                                               Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package org.jlab.coda.runcontrol.ontologies.CodaRunControl;
import rca.content.Concept;
import rca.util.leap.List;

import java.io.Serializable;

public class CoolScheduler implements Concept, Serializable {
    private List processes, stopafters, pauseafters ;

    public void setScheduler_ProcessList (List c) {
        processes = c;
    }
    public List getScheduler_ProcessList () {
        return processes;
    }

    public void setScheduler_StopafterList (List c) {
        stopafters = c;
    }
    public List getScheduler_StopafterList () {
        return stopafters;
    }

    public void setScheduler_PauseafterList (List c) {
        pauseafters = c;
    }
    public List getScheduler_PauseafterList () {
        return pauseafters;
    }


}
