/*---------------------------------------------------------------------------*
*  Copyright (c) 2007        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*                                               Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package org.jlab.coda.runcontrol.ontologies.CodaRunControl;
import rca.content.Concept;
import rca.util.leap.List;

import java.io.Serializable;


public class CoolState implements Concept, Serializable {

    public String iscritical, name;
    public List processes,states;
    public int severity;
    public CoolComponent comp;


    public int getState_Severity(){
        return severity;
    }
    public void setState_Severity(int p){
        severity = p;
    }


    public CoolComponent getState_Isfor(){
        return comp;
    }
    public void setState_Isfor(CoolComponent p){
        comp = p;
    }


    public void setState_Iscritical(String s) {
        iscritical = s;
    }
    public String getState_Iscritical() {
        return iscritical;
    }




    public List getState_Achievedthrough(){
        return processes;
    }
    public void setState_Achievedthrough(List p){
        processes = p;
    }



    public List getState_Dependson(){
        return states;
    }
    public void setState_Dependson(List p){
        states = p;
    }




    public void setState_Name(String s) {
        name = s;
    }
    public String getState_Name() {
        return name;
    }

}