/*----------------------------------------------------------------------------*
*  Copyright (c) 2003        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-12H        *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5800             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package org.jlab.coda.runcontrol.ontologies.CodaRunControl;

import rca.content.AgentAction;

import java.io.Serializable;


public class KillMonitoring implements AgentAction, Serializable {
    public String processname;
    public String agentname;

    public void setKillmonitoring_Processname (String c) {
        processname = c;
    }
    public String getKillmonitoring_Processname () {
        return processname;
    }
    public void setKillmonitoring_Agentname (String c) {
        agentname = c;
    }
    public String getKillmonitoring_Agentname () {
        return agentname;
    }
}