/*----------------------------------------------------------------------------*
*  Copyright (c) 2003        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-12H        *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5800             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package org.jlab.coda.runcontrol.ontologies.CodaRunControl;

import rca.content.AgentAction;

import java.io.Serializable;

public class Prestart implements AgentAction, Serializable {
    public int b;
    public String session;
    public String runtype;

    public void setTimeout (int c) {
        b = c;
    }
    public int getTimeout () {
        return b;
    }
    public void setPrestart_Session (String c) {
        session = c;
    }
    public String getPrestart_Session () {
        return session;
    }
    public void setPrestart_Runtype (String c) {
        runtype = c;
    }
    public String getPrestart_Runtype () {
        return runtype;
    }
}
