/*----------------------------------------------------------------------------*
*  Copyright (c) 2007        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-12H        *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5800             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package org.jlab.coda.runcontrol.ontologies.CodaRunControl;

import rca.content.AgentAction;

import java.io.Serializable;

public class ReportState implements AgentAction, Serializable {
    public int b, interval;
    public String to, acl;

    public void setReportstate_Timeout (int c) {
        b = c;
    }
    public int getReportstate_Timeout () {
        return b;
    }

    public void setReportstate_Interval (int c) {
        interval = c;
    }
    public int getReportstate_Interval () {
        return interval;
    }

    public void setReportstate_To  (String  c) {
        to = c;
    }
    public String getReportstate_To  () {
        return to;
    }

    public void setReportstate_Acl  (String  c) {
        acl = c;
    }
    public String getReportstate_Acl  () {
        return acl;
    }

}
