/*----------------------------------------------------------------------------*
*  Copyright (c) 2003        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-12H        *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5800             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package org.jlab.coda.runcontrol.ontologies.CodaRunControl;

import rca.content.AgentAction;

import java.io.Serializable;

public class StartConfig implements AgentAction, Serializable {
    public String source;
    public String runtype;
    public String filename;
    public String rcnode;
    public String session;

    public void setStartconfig_Runtype (String a) {
        runtype = a;
    }
    public String getStartconfig_Runtype () {
        return runtype;
    }

    public void setStartconfig_Session (String a) {
        session = a;
    }
    public String getStartconfig_Session () {
        return session;
    }

    public void setStartconfig_Source (String a) {
        source = a;
    }
    public String getStartconfig_Source () {
        return source;
    }

    public void setStartconfig_Filename (String a) {
        filename = a;
    }
    public String getStartconfig_Filename () {
        return filename;
    }

    public void setStartconfig_Rcnode (String a) {
        rcnode = a;
    }
    public String getStartconfig_Rcnode () {
        return rcnode;
    }
}
