package org.jlab.coda.runcontrol.util;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.UnsupportedEncodingException;
import java.io.IOException;

/**
 * Copyright (c)            Southeastern Universities Research Association,
 * Thomas Jefferson National Accelerator Facility
 * <p/>
 * This software was developed under a United States Government license
 * described in the NOTICE file included as part of this distribution.
 * <p/>
 * Author: gurjyan
 * Date: Dec 6, 2006
 * Time: 2:02:30 PM
 */
public class CodePasswd {

    public static void main(String [] args){
        new CodePasswd(args[0], args[1]);
    }


    public CodePasswd(String session, String passwd) {

        System.out.println("entered password = "+passwd);
        StringBuffer sb = new StringBuffer();

        byte [] b;
        try {
// string -> byte[]
            b = passwd.getBytes( "8859_1" /* encoding */ );
            for (byte aB : b) {
                aB = (byte)(aB+7);
                sb.append(aB).append("f");
            }
            System.out.println("codded password => "+sb.toString());
            BufferedWriter fout = new BufferedWriter(new FileWriter(System.getenv("COOL_HOME")+"/.rccoda/.passwordfile"));
            fout.write(session+" "+sb.toString());
            fout.flush();
            fout.close();
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
