package org.jlab.coda.runcontrol.util.db;


/**
 * Signals that an error occurred while attempting  
 * to connect to a database using JDBC.
 * @author Carl Timmer
 */
public class DBException extends Exception {
  private static final long serialVersionUID = 7526472295622776147L;  
    /**
     * Constructs a new DBException with the specified message.
     * @param msg the error message
     */
    public DBException(String msg) {
        super(msg);
    }
    
    /** Constructs a new DBException with no message. */
    public DBException() {
    }
}
