/*---------------------------------------------------------------------------*
*  Copyright (c) 2004        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-12H        *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5800             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package org.jlab.coda.runcontrol.util.db;


public class DbComponent {

    private String name;
    private String code;
    private String input;
    private String output;
    private String first;
    private String next;
    private String type;
    private String perconfigurescript;
    private String configurescript;
    private String postconfigurescript;
    private String perdownloadscript;
    private String downloadscript;
    private String postdownloadscript;
    private String perprestartscript;
    private String prestartscript;
    private String postprestartscript;
    private String pergoscript;
    private String goscript;
    private String postgoscript;
    private String perendscript;
    private String endscript;
    private String postendscript;
    private int priority;

    public void setName(String a){
        name = a;
    }
    public String getName(){
        return name;
    }

    public void setCode(String a){
        code = a;
    }
    public String getCode(){
        return code;
    }

    public void setInputs(String a){
        input = a;
    }
    public String getInputs(){
        return input;
    }

    public void setOutputs(String a){
        output = a;
    }
    public String getOutputs(){
        return output;
    }

    public void setFirst(String a){
        first = a;
    }
    public String getFirst(){
        return first;
    }

    public void setNext(String a){
        next = a;
    }
    public String getNext(){
        return next;
    }
    public void setType(String a){
        type = a;
    }
    public String getType(){
        return type;
    }
    public void setPriority(int a){
        priority = a;
    }
    public int getPriority(){
        return priority;
    }

    public void setSrcPreconfigure(String a){
        perconfigurescript = a;
    }
    public String getSrcPreconfigure(){
        return perconfigurescript;
    }
    public void setSrcconfigure(String a){
        configurescript = a;
    }
    public String getSrcconfigure(){
        return configurescript;
    }
    public void setSrcPostconfigure(String a){
        postconfigurescript = a;
    }
    public String getSrcPostconfigure(){
        return postconfigurescript;
    }
    public void setSrcPredownload(String a){
        perdownloadscript = a;
    }
    public String getSrcPredownload(){
        return perdownloadscript;
    }
    public void setSrcdownload(String a){
        downloadscript = a;
    }
    public String getSrcdownload(){
        return downloadscript;
    }
    public void setSrcPostdownload(String a){
        postdownloadscript = a;
    }
    public String getSrcPostdownload(){
        return postdownloadscript;
    }
    public void setSrcPreprestart(String a){
         perprestartscript = a;
    }
    public String getSrcPreprestart(){
        return perprestartscript;
    }
    public void setSrcprestart(String a){
        prestartscript = a;
    }
    public String getSrcprestart(){
        return prestartscript;
    }
    public void setSrcPostprestart(String a){
        postprestartscript = a;
    }
    public String getSrcPostprestart(){
        return postprestartscript;
    }
    public void setSrcPrego(String a){
        pergoscript = a;
    }
    public String getSrcPrego(){
        return pergoscript;
    }
    public void setSrcgo(String a){
        goscript = a;
    }
    public String getSrcgo(){
        return goscript;
    }
    public void setSrcPostgo(String a){
        postgoscript = a;
    }
    public String getSrcPostgo(){
        return postgoscript;
    }
    public void setSrcPreend(String a){
        perendscript = a;
    }
    public String getSrcPreend(){
        return perendscript;
    }
    public void setSrcend(String a){
        endscript = a;
    }
    public String getSrcend(){
        return endscript;
    }
    public void setSrcPostend(String a){
        postendscript = a;
    }
    public String getSrcPostend(){
        return postendscript;
    }

}
