package org.jlab.coda.runcontrol.util.db;


/**
 * Signals that an error occurred while using runcontrol.
 * @author Carl Timmer
 */
public class RCException extends Exception {
 private static final long serialVersionUID = 7526472295622776147L;   
    /**
     * Constructs a new RCException with the specified message.
     * @param msg the error message
     */
    public RCException(String msg) {
        super(msg);
    }
    
    /** Constructs a new RCException with no message. */
    public RCException() {
    }
}
