/*---------------------------------------------------------------------------*
*  Copyright (c) 2005        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package org.jlab.coda.runcontrol.util.sh;

import org.jlab.coda.runcontrol.util.sh.SysExe;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;
import java.io.InputStream;
import java.util.StringTokenizer;
import java.util.ArrayList;

/**
 * @author Vardan Gyurjyan
 *         Date: Sep 13, 2005
 *         Time: 9:36:30 AM
 */
public class SysExeTest {



    public static void main (String args[]){

        String result = null;
        StringTokenizer st = null;
        ArrayList<String> l = null;
        String [] a;

        SysExe mySysExe = new SysExe();

        st = new StringTokenizer(args[0]);
        l = new ArrayList<String>();
        while(st.hasMoreTokens())l.add(st.nextToken());

        int size = l.size();
        a = new String[size];

        l.toArray(a);

        for(int i=0;i<a.length;i++) System.out.println("P "+a[i]);

        InputStream iostream = mySysExe.run_unix_stream(a);

        /* Create buffereader using the iostream.*/
        BufferedReader myReader = new BufferedReader(new InputStreamReader(iostream));
        try {
            /* Atention: Check command will return only one line summary.*/
            while((result=myReader.readLine()) !=null){
               System.out.println(result);
            }
//            myReader.close();
        } catch (IOException e) {
            e.printStackTrace();
        }

    }
}