/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package rca.content.lang.sl;

/**
 * The vocabulary of the simbols used in the FIPA SL1 language
 * Original author Giovanni Caire - TILAB
 */
public interface SL1Vocabulary extends SL0Vocabulary {
  public static final String         AND = "and";
  public static final String         AND_LEFT = "left";
  public static final String         AND_RIGHT = "right";
  
  public static final String         OR = "or";
  public static final String         OR_LEFT = "left";
  public static final String         OR_RIGHT = "right";
  
  public static final String         NOT = "not";
  public static final String         NOT_WHAT = "what";
}
