/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/


package rca.core.event;

import java.util.EventListener;

public interface PlatformListener extends EventListener
{
  void addedContainer(PlatformEvent ev);
  void removedContainer(PlatformEvent ev);
  void bornAgent(PlatformEvent ev);
  void deadAgent(PlatformEvent ev);
  void movedAgent(PlatformEvent ev);
  void suspendedAgent(PlatformEvent ev);
  void resumedAgent(PlatformEvent ev);
  void frozenAgent(PlatformEvent ev);
  void thawedAgent(PlatformEvent ev);
}
