/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.domain.FIPAAgentManagement;

import rca.content.Predicate;

/** 
* 
* @see rca.domain.FIPAAgentManagement.FIPAManagementOntology
* Original author Fabio Bellifemine - CSELT S.p.A.
* @version $Date: 2003-03-10 16:38:45 +0100 (Mon, 10 Mar 2003) $ $Revision: 3775 $
*/

public class InternalError extends FailureException implements Predicate {

  public InternalError(String msg) {
    super("(internal-error \""+msg+"\")");
    s1=msg;
  }

  public InternalError() {
    this("unknown-error");
  }
  
  /**
  @serial
  */
  String s1;
public void setErrorMessage(String s){ s1=s; setMessage("(internal-error \""+s1+"\")");}
public String getErrorMessage() {return s1;}

}
