/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.domain.KBManagement;

//#MIDP_EXCLUDE_FILE

import java.util.Date;

/**
 * Original author Elisabetta Cortese - TILab
 *
 */
public interface LeaseManager {
	
	//final static Date INFINITE_LEASE_TIME = new Date(-1);
	//final static Date DEFAULT_LEASE_TIME = INFINITE_LEASE_TIME;

	Date getLeaseTime(Object item);
	void setLeaseTime(Object item, Date lease);
	Object grantLeaseTime(Object item);
	boolean isExpired(Date lease);
}
