/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/


package rca.gui;

//#J2ME_EXCLUDE_FILE

/**
Type using to store key and  value  of a user defined property.
Original author Tiziana Trucco - CSELT S.p.A
@version $Date: 2002-12-11 10:39:45 +0100 (Wed, 11 Dec 2002) $ $Revision: 3515 $
*/

class SingleProperty
 	{
 		String key;
 		String value;
 		
 		/**
 		* Constructor.
 		* @param k the key of the property
 		* @param v the value ot f the property.
 		*/
 		SingleProperty(String k, String v)
 		{
 			key = k;
 			value = v;
 		}
 		
 		/**
 		Returns the key. 
 		*/
 		String getKey()
 		{
 			return this.key;
 		}
 		/**
 		Returns th value.
 		*/
 		String getValue()
 		{
 			return this.value;
 		}
 		/**
 		To set the key.
 		*/
 		void setKey(String k)
 		{
 			this.key = k;
 		}
 		
 		/**
 		To set the value.
 		*/
 		void setValue(String v)
 		{
 			this.value = v;
 		}
 	}