/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.proto;

import rca.domain.FIPANames;

/**
 * This interface provides a set of constants for the names of the protocols
 * already defined by FIPA.
 * Original author Tiziana Trucco - TILab
 * @version $Date: 2003-02-26 10:35:39 +0100 (Wed, 26 Feb 2003) $ $Revision: 3693 $
 @deprecated Use rca.domain.FIPANames.InteractionProtocol instead
 **/
public interface FIPAProtocolNames extends FIPANames.InteractionProtocol {

}
