/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.security;

/**
	The <code>JADESecurityException</code> is the base class for
	exceptions thrown for unauthorized access or for authentication
	failures.
	
	Original author Jerome Picault - Motorola Labs
	@version $Date: 2004-05-19 17:52:31 +0200 (Wed, 19 May 2004) $ $Revision: 5082 $
*/
public class JADESecurityException extends Exception {

	/**
		Creates a new JADESecurityException.
		@param msg The message of the exception.
	*/
	public JADESecurityException(String msg) {
		super(msg);
	}
}
