# Bootfile for CAEN 775 TDC crate
# PowerPC version

cd "mizar:/home/abbottd/vxWorks/c775"

# Load Universe DMA Library
ld<universeDma.o
#initialize (no interrupts (1))
sysVmeDmaInit(1) 
# Set for 64bit PCI transfers
sysVmeDmaSet(4,1)
# A24 VME Slave
sysVmeDmaSet(11,1)
# BLK32 (4) or MBLK(64) (5) VME transfers
sysVmeDmaSet(12,4)


# Load CAEN 775 TDC library
ld<c775Lib.o
c775Init(0xd00000,0,1,0)
c775Clear(0)

# Enable Interrupts (defaults)
#c775IntConnect(0,0,0,0)
#c775IntEnable(0,4)



