/*
 * WncHmiApp.java
 */

package org.jlab.coda.runcontrol.gui.wnchmi;


import org.jdesktop.application.Application;
import org.jdesktop.application.SingleFrameApplication;

import java.awt.*;

/**
 * The main class of the application.
 */
public class WncHmiApp extends SingleFrameApplication {
       public static String name;
    public WncHmiView wncwindow;
    /**
     * At startup create and show the main frame of the application.
     */
    @Override protected void startup() {
//        WncHmiApp.getApplication().getMainFrame().setSize(1000, 1000);
        WncHmiApp.getApplication().getMainFrame().getContentPane().setPreferredSize(new Dimension(640, 1080)); 
        wncwindow = new WncHmiView(this);
        wncwindow.myName = name;
        show(wncwindow);
    }

    /**
     * This method is to initialize the specified window by injecting resources.
     * Windows shown in our application come fully initialized from the GUI
     * builder, so this additional configuration is not needed.
     */
    @Override protected void configureWindow(java.awt.Window root) {
    }

    /**
     * A convenient static getter for the application instance.
     * @return the instance of WncHmiApp
     */
    public static WncHmiApp getApplication() {
        return Application.getInstance(WncHmiApp.class);
    }

    /**
     * Main method launching the application.
     */
    public static void main(String[] args) {
        if(args.length >=2 && args[0].equalsIgnoreCase("-name"))
        name = args[1];
        else return;
//        launch(WncHmiApp.class, args);
        WncHmiApp myyWnc = new WncHmiApp();
        myyWnc.startup();
    }

}
