/*---------------------------------------------------------------------------*
*  Copyright (c) 2005        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package org.jlab.coda.runcontrol.ontologies.CodaPlatform;

import rca.content.AgentAction;
import rca.util.leap.List;

import java.io.Serializable;

/**
 * @author Vardan Gyurjyan
 *         Date: Sep 15, 2005
 *         Time: 1:23:09 PM
 */
public class StartRemoteContainerAgents implements AgentAction, Serializable {

    public List names, classes;
    public String nodename;

    public void setStrca_Containernode(String n){
        nodename = n;
    }
    public String getStrca_Containernode(){
        return nodename;
    }

    public void setStrca_Agentnamelist(List l){
        names = l;
    }
    public List getStrca_Agentnamelist(){
        return names;
    }

    public void setStrca_Agentclasslist(List l){
        classes = l;
    }
    public List getStrca_Agentclasslist(){
        return classes;
    }


}
