/*----------------------------------------------------------------------------*
*  Copyright (c) 2003        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-12H        *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5800             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package org.jlab.coda.runcontrol.ontologies.CodaRunControl;

import rca.content.AgentAction;

import java.io.Serializable;

public class AcceptData implements AgentAction, Serializable {
    public String process, processstate;
    public CoolData data;
    public Producer producer;
    public CodaTimeStamp timestamp;

    public void setAcceptdata_Data (CoolData d){
        data = d;
    }
    public CoolData getAcceptdata_Data (){
        return data;
    }

    public void setAcceptdata_Process (String d){
        process = d;
    }
    public String getAcceptdata_Process (){
        return process;
    }

    public void setAcceptdata_Processstate (String d){
        processstate = d;
    }
    public String getAcceptdata_Processstate (){
        return processstate;
    }

    public void setAcceptdata_Producer (Producer d){
        producer = d;
    }
    public Producer getAcceptdata_Producer (){
        return producer;
    }

    public void setAcceptdata_Timestamp (CodaTimeStamp d){
        timestamp = d;
    }
    public CodaTimeStamp getAcceptdata_Timestamp (){
        return timestamp;
    }
}
