/*----------------------------------------------------------------------------*
*  Copyright (c) 2008        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-12H        *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5800             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package org.jlab.coda.runcontrol.ontologies.CodaRunControl;

import rca.content.AgentAction;

import java.io.Serializable;

public class AcceptState implements AgentAction, Serializable {
    public CoolState state;
    public String severity;
    public Producer producer;
    public CodaTimeStamp timestamp;

    public void setAcceptstate_State(CoolState d){
        state = d;
    }
    public CoolState getAcceptstate_State(){
        return state;
    }
    public void setAcceptstate_Severity(String d){
        severity = d;
    }
    public String getAcceptstate_Severity(){
        return severity;
    }
    public void setAcceptstate_Producer(Producer d){
        producer = d;
    }
    public Producer getAcceptstate_Producer(){
        return producer;
    }
    public void setAcceptstate_Timestamp(CodaTimeStamp d){
        timestamp = d;
    }
    public CodaTimeStamp getAcceptstate_Timestamp(){
        return timestamp;
    }
}
