/*---------------------------------------------------------------------------*
*  Copyright (c) 2008        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*                                               Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package org.jlab.coda.runcontrol.ontologies.CodaRunControl;
import rca.content.Concept;
import rca.util.leap.List;

import java.io.Serializable;


/**
 * @author Vardan Gyurjyan
 *         Date: may 19, 2008
 *         Time: 4:37:34 PM
 */
public class CoolControl implements Concept, Serializable{
    List components, systems, states, rules;
    CoolOption codao,anao, ero,ebo,roco,slco, tso,eto;
    String session;

    public void setControl_Components(List l){
        components = l;
    }
    public List getControl_Components(){
        return components;
    }


    public void setControl_Systems(List l){
        systems = l;
    }
    public List getControl_Systems(){
        return systems;
    }

    
    public void setControl_States(List l){
        states = l;
    }
    public List getControl_States(){
        return states;
    }


    public void setControl_Rules(List l){
        rules = l;
    }
    public List getControl_Rules(){
        return rules;
    }


    public void setControl_Codaoption(CoolOption o){
        codao = o;
    }
    public CoolOption getControl_Codaoption(){
        return codao;
    }


    public void setControl_Anaoption(CoolOption o){
        anao = o;
    }
    public CoolOption getControl_Anaoption(){
        return anao;
    }

    public void setControl_Eroption(CoolOption o){
        ero = o;
    }
    public CoolOption getControl_Eroption(){
        return ero;
    }

    public void setControl_Eboption(CoolOption o){
        ebo = o;
    }
    public CoolOption getControl_Eboption(){
        return ebo;
    }

    public void setControl_Rocoption(CoolOption o){
        roco = o;
    }
    public CoolOption getControl_Rocoption(){
        return roco;
    }

    public void setControl_Slcoption(CoolOption o){
        slco = o;
    }
    public CoolOption getControl_Slcoption(){
        return slco;
    }

    public void setControl_Tsoption(CoolOption o){
        tso = o;
    }
    public CoolOption getControl_Tsoption(){
        return tso;
    }

    public void setControl_Etoption(CoolOption o){
        eto = o;
    }
    public CoolOption getControl_Etoption(){
        return eto;
    }

}
