/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*                                               Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package org.jlab.coda.runcontrol.ontologies.CodaRunControl;
import rca.content.Concept;

import java.io.Serializable;

public class CoolData implements Concept, Serializable {
    private String type, cardinality, content, timestamp, semantics;

    public void setData_Timestamp(String s) {
        timestamp = s;
    }
    public String getData_Timestamp() {
        return timestamp;
    }

    public void setData_Type(String s) {
        type = s;
    }
    public String getData_Type() {
        return type;
    }

    public void setData_Cardinality(String s) {
        cardinality = s;
    }
    public String getData_Cardinality() {
        return cardinality;
    }

    public void setData_Semantics(String s) {
        semantics = s;
    }
    public String getData_Semantics() {
        return semantics;
    }

    public void setData_Content(String s) {
        content = s;
    }
    public String getData_Content() {
        return content;
    }

}
