/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*                                               Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package org.jlab.coda.runcontrol.ontologies.CodaRunControl;
import rca.content.Concept;

public class CoolNode implements Concept {
    public String name, ip, local, user, passwd;

    public void setNode_Name(String s) {
        name = s;
    }
    public String getNode_Name() {
        return name;
    }

    public void setNode_Ip (String s) {
        ip = s;
    }
    public String getNode_Ip() {
        return ip;
    }

    public void setNode_Local (String b) {
        local = b;
    }
    public String getNode_Local() {
        return local;
    }

    public void setNode_User (String s) {
        user = s;
    }
    public String getNode_User() {
        return user;
    }

    public void setNode_Passwd (String s) {
        passwd = s;
    }
    public String getNode_Passwd() {
        return passwd;
    }
}
