/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*                                               Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package org.jlab.coda.runcontrol.ontologies.CodaRunControl;
import rca.content.Concept;
import rca.util.leap.List;

import java.io.Serializable;

public class CoolPublisher implements Concept, Serializable {
    public String connects, sendsubjects, sendtypes, subscribesubjects, subscribetypes;

    public void setPublisher_Udl (String c) {
        connects = c;
    }
    public String getPublisher_Udl () {
        return connects;
    }

    public void setPublisher_Sendsubject (String c) {
         sendsubjects = c;
    }
    public String getPublisher_Sendsubject () {
        return sendsubjects;
    }

    public void setPublisher_Sendtype (String c) {
         sendtypes = c;
    }
    public String getPublisher_Sendtype () {
        return sendtypes;
    }

    public void setPublisher_Subscribesubject (String c) {
         subscribesubjects = c;
    }
    public String getPublisher_Subscribesubject () {
        return subscribesubjects;
    }

    public void setPublisher_Subscribetype (String c) {
         subscribetypes = c;
    }
    public String getPublisher_Subscribetype () {
        return subscribetypes;
    }

}
