/*---------------------------------------------------------------------------*
*  Copyright (c) 2008        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*                                               Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package org.jlab.coda.runcontrol.ontologies.CodaRunControl;
import rca.content.Concept;
import rca.util.leap.List;

import java.io.Serializable;

/**
 * @author: gurjyan
 * @date: Jul 18, 2008
 * @time: 1:33:07 PM
 */
public class CoolSystem implements Concept, Serializable{
    public List states;
    public String supername, iscont;
    public int repint;

    public void setSystem_State(List a){
        states = a;
    }
    public List getSystem_State(){
        return states;
    }

    public void setSystem_Supervisor(String s){
        supername =s;
    }
    public String getSystem_Supervisor(){
        return supername;
    }

    public void setSystem_Iscontrollable(String s){
        iscont =s;
    }
    public String getSystem_Iscontrollable(){
        return iscont;
    }

    public void setSystem_Reporinginterval(int i){
        repint =i;
    }
    public int getSystem_Reporinginterval(){
        return repint;
    }


}
