package org.jlab.coda.runcontrol.util;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.UnsupportedEncodingException;
import java.io.IOException;
import java.util.StringTokenizer;
import java.util.ArrayList;
import java.util.HashSet;

/**
 * Copyright (c)            Southeastern Universities Research Association,
 * Thomas Jefferson National Accelerator Facility
 * <p/>
 * This software was developed under a United States Government license
 * described in the NOTICE file included as part of this distribution.
 * <p/>
 * Author: gurjyan
 * Date: Dec 6, 2006
 * Time: 2:05:00 PM
 */
public class DecodePasswd {

    public static void main(String [] args){
        new DecodePasswd(args[0]);
    }


    public DecodePasswd(String session) {
        String decodedt=null, codedt;

        byte [] b;
        try {
            BufferedReader in = new BufferedReader(new FileReader(System.getenv("COOL_HOME")+"/.rccoda/.passwordfile"));
            codedt = in.readLine();
            if(codedt.startsWith(session)){
             StringTokenizer ss = new StringTokenizer(codedt);
             ss.nextToken();
            StringTokenizer st = new StringTokenizer(ss.nextToken(),"f");
            int j=0;
                b = new byte[st.countTokens()];
            while(st.hasMoreTokens()){
                b[j] = (byte)(Integer.valueOf(st.nextToken()) -7);
                j++;
            }
// byte[] -> String
            decodedt = new String( b , "Cp1252" /* encoding */ );
            }
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }
        System.out.println("decodded password = "+decodedt);

    }
}
