/*---------------------------------------------------------------------------*
*  Copyright (c) 2004        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-12H        *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5800             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package org.jlab.coda.runcontrol.util.db;


public class DbOptions {
    private String datalimit;
    private String eventlimit;
    private String tokeninterval;
    private String splitmb;
    private String datafile;

    public void setOptDatalimit(String a){
        datalimit = a;
    }
    public String getOptDatalimit(){
        return datalimit;
    }
    public void setOptEventlimit(String a){
        eventlimit = a;
    }
    public String getOptEventlimit(){
        return eventlimit;
    }
    public void setOptTokeninterval(String a){
        tokeninterval = a;
    }
    public String getOptTokeninterval(){
        return tokeninterval;
    }
    public void setOptSplitmb(String a){
        splitmb = a;
    }
    public String getOptSplitmb(){
        return splitmb;
    }
    public void setOptDatafile(String a){
        datafile = a;
    }
    public String getOptDatafile(){
        return datafile;
    }
}
