/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.core.messaging;

//#J2ME_EXCLUDE_FILE

import rca.lang.acl.ACLMessage;

/**
   Ready made persistent delivery filter that makes whatever 
   message always persistent.
   Original author Giovanni Caire - TILAB
 */
public class MatchAllFilter implements PersistentDeliveryFilter {
  /**
     Match all possible messages
   */
  public long delayBeforeExpiration(ACLMessage msg) {
  	return NEVER;
  }
}
