/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package rca.domain.DFGUIManagement;

import rca.domain.FIPAAgentManagement.FIPAManagementVocabulary;

/**
   
   Original author Elisabetta Cortese - TiLab S.p.A.
   @version $Date: 2003-08-26 11:15:34 +0200 (Tue, 26 Aug 2003) $ $Revision: 4243 $
*/

public interface DFAppletVocabulary extends FIPAManagementVocabulary {
	
  /**
    A symbolic constant, containing the name of this ontology.
   */
  public static final String NAME = "DFApplet-Management";


  // Action
  public static final String GETDESCRIPTION= "getdescription";

  //public static final String FEDERATEWITH = "federatewith";
  public static final String FEDERATE = "federate";
  //public static final String FEDERATEWITH_PARENTDF = "parentdf";
  public static final String FEDERATE_DF = "df";
  //public static final String FEDERATEWITH_CHILDRENDF = "childrendf";
  public static final String FEDERATE_DESCRIPTION = "description";

  public static final String REGISTERWITH = "registerwith";
  public static final String REGISTERWITH_DF = "df";
  public static final String REGISTERWITH_DESCRIPTION = "description";

  public static final String DEREGISTERFROM = "deregisterfrom";
  //public static final String DEREGISTERFROM_PARENTDF = "parentdf";
  public static final String DEREGISTERFROM_DF = "df";
  //public static final String DEREGISTERFROM_CHILDRENDF = "childrendf";
  public static final String DEREGISTERFROM_DESCRIPTION = "description";

  public static final String MODIFYON = "modifyon";
  public static final String MODIFYON_DF = "df";
  public static final String MODIFYON_DESCRIPTION = "description";

  public static final String SEARCHON = "searchon";
  public static final String SEARCHON_DF = "df";
  public static final String SEARCHON_DESCRIPTION = "description";
  public static final String SEARCHON_CONSTRAINTS = "constraints";

  public static final String GETPARENTS = "getparents";

  public static final String GETDESCRIPTIONUSED = "getdescriptionused";
  public static final String GETDESCRIPTIONUSED_PARENTDF = "parentdf";

}
