/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/


package rca.domain.DFGUIManagement;

import rca.content.AgentAction;
import rca.core.AID;

/**
   This class implements the GetDescriptionUsed action.
   It used by the df applet to known the description used by the df to
   register itself with a parent.
   Original author Elisabetta Cortese -  TiLab S.p.A.
   @version $Date: 2003-08-26 11:15:34 +0200 (Tue, 26 Aug 2003) $
*/

public class GetDescriptionUsed implements AgentAction{
	
	private AID parentDF;
	
	public void setParentDF(AID parent)
	{
		parentDF = parent;
	}
	 
	public AID getParentDF()
	{
		return parentDF;
	} 

}