/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.domain.introspection;

//#APIDOC_EXCLUDE_FILE

import rca.content.AgentAction;

/**
 This class represents the <code>get-keys</code> action of the Introspection Ontology.
 This action allows querying an agent that is running an IntrospectionServer behaviour 
 for the keys whose values can be retrieved by means of the <code>GetValue</code> action

 Original author Giovanni Caire - TILAB
 */
public class GetKeys implements AgentAction {
	public GetKeys() {
	}
}
