package rca.gui;

/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

//#J2ME_EXCLUDE_FILE

//#DOTNET_EXCLUDE_BEGIN
import javax.swing.JPopupMenu;
//#DOTNET_EXCLUDE_END
/*#DOTNET_INCLUDE_BEGIN
import System.Windows.Forms.MenuItem;
#DOTNET_INCLUDE_END*/

/**
   Javadoc documentation for the file
   Original author Francisco Regi, Andrea Soracchi - Universita` di Parma
   @version $Date: 2005-04-15 17:45:02 +0200 (Fri, 15 Apr 2005) $ $Revision: 5669 $
 */

class NodeDescriptor 
{
  //#DOTNET_EXCLUDE_BEGIN
  JPopupMenu popupMenu;
  //#DOTNET_EXCLUDE_END
  /*#DOTNET_INCLUDE_BEGIN
  MenuItem	popupMenu;
  #DOTNET_INCLUDE_END*/
  String pathImage;

  //#DOTNET_EXCLUDE_BEGIN
  protected NodeDescriptor(JPopupMenu popupMenu,String pathImage){
  //#DOTNET_EXCLUDE_END
  /*#DOTNET_INCLUDE_BEGIN
  protected NodeDescriptor(MenuItem popupMenu,String pathImage){
  #DOTNET_INCLUDE_END*/
   this.popupMenu=popupMenu;
   this.pathImage=pathImage;
  }

  //#DOTNET_EXCLUDE_BEGIN
  protected JPopupMenu getPopupMenu() {
  //#DOTNET_EXCLUDE_END
  /*#DOTNET_INCLUDE_BEGIN
  protected MenuItem getPopupMenu() {
  #DOTNET_INCLUDE_END*/
   return popupMenu;
  }

  protected String getPathImage() {
   return pathImage;
  }
  
  //#DOTNET_EXCLUDE_BEGIN
  protected void setNewPopupMenu(JPopupMenu p){
  //#DOTNET_EXCLUDE_END
  /*#DOTNET_INCLUDE_BEGIN
  protected void setNewPopupMenu(MenuItem p){
  #DOTNET_INCLUDE_END*/
  this.popupMenu =p;
  }
} 
