/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/


package rca.lang.acl;

/**
* Signals that an error occured during the decoding of the content 
* of an ACLMessage using Base64. 
*
* Original author Tiziana Trucco - CSELT S.p.A.
* @version $Date: 2000-09-12 15:24:08 +0200 (Tue, 12 Sep 2000) $ $Revision: 1857 $
*/

public class UnreadableException extends Exception {
/**
* Constructs an <code>UnreadableException</code> with the specified detail
* message.
* @param the detail message.
*/
  UnreadableException(String msg) {
    super(msg);
  }

}